<div class="btn-group-container mat-typography mat-app-background">
  <div class="btn-right-container">
    <app-menu-button
      *ngrxLet="slidesMenu$; let slidesMenu"
      [buttonValue]="slidesMenu.id"
      [enableTopBroderBoxShadow]="false"
      [selected]="slidesMenu.selected"
      (buttonClicked)="railMenuItemButton(slidesMenu.selected, $event)">
      <mat-icon>{{slidesMenu.icon}}</mat-icon>
    </app-menu-button>
    <app-menu-button
      *ngrxLet="analysisMenu$; let analysisMenu"
      [buttonValue]="analysisMenu.id"
      [enableTopBroderBoxShadow]="true"
      [selected]="analysisMenu.selected"
      (buttonClicked)="railMenuItemButton(analysisMenu.selected, $event)">
      <mat-icon>{{analysisMenu.icon}}</mat-icon>
    </app-menu-button>
  </div>
  <mat-sidenav-container
    [@.disabled]="true"
    *ngrxLet="showMenu$; let showMenu"
    hasBackdrop="false"
    class="menu-flex-container">
    <mat-sidenav
      #drawer
      class="side-nav-container"
      [opened]="showMenu"
      mode="side"
      position="end">
      <ng-container *ngrxLet="slidesMenu$; let slidesMenu">
        <div *ngIf="slidesMenu.selected" class="right-menu-content-container clickable">
          <app-slides-container></app-slides-container>
        </div>
      </ng-container>
      <ng-container *ngrxLet="analysisMenu$; let analysisMenu">
        <div *ngIf="analysisMenu.selected" class="right-menu-content-container clickable">
          <app-slides-label
            class="menu-label-clickable"
            [slides]="(slideSelected$|async)"
            [selected]="(slidesMenu$|async).selected"
            [contentLoaded]="(slidesLoaded$|async)"
            (click)="onLabelClicked($event, 'slides')">
          </app-slides-label>
          <app-analysis-container></app-analysis-container>
        </div>
      </ng-container>
    </mat-sidenav>
    <mat-sidenav-content
      class="no-transition"
      style="width: 100%;"
      [style.margin-right.px]="(menuSize$|async)">
      <ng-content></ng-content>
    </mat-sidenav-content>
  </mat-sidenav-container>
</div>

